package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumRentContractAdjustPeriod {

    ADJUST_PERIOD_DAY(1, "按日计租"),
    ADJUST_PERIOD_MONTH(2, "按月计租"),
    ADJUST_PERIOD_NAR_MONTH(3, "按自然月计租"),
    ;

    public static EnumRentContractAdjustPeriod getEnum(Integer code) {
        for (EnumRentContractAdjustPeriod value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumRentContractAdjustPeriod(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
